#ifndef __itkekADRevolveTransformBase_txx
#define __itkekADRevolveTransformBase_txx

#include "itkekADRevolveTransformBase.h"


namespace itkek
{

   template <class TScalarType,
	     unsigned int NInputDimensions, 
	     unsigned int NOutputDimensions>
   bool ADRevolveTransformBase<TScalarType,NInputDimensions,NOutputDimensions>
   ::s_CheckpointingFlag;

   template <class TScalarType,
	     unsigned int NInputDimensions, 
	     unsigned int NOutputDimensions>
   ADRevolveTransformBase<TScalarType,NInputDimensions,NOutputDimensions>
   ::ADRevolveTransformBase(unsigned int Dimension, unsigned int NumberOfParameters):
      Superclass(Dimension,NumberOfParameters)
   {
   }


   template <class TScalarType,
	     unsigned int NInputDimensions, 
	     unsigned int NOutputDimensions>
   ADRevolveTransformBase<TScalarType,NInputDimensions,NOutputDimensions>
   ::~ADRevolveTransformBase()
   {
   }


}


#endif
