#ifndef __itkekMacro_h
#define __itkekMacro_h


#include <iostream>

// This class defines several macros useful for debugging.


//#ifndef  IRAD_NO_VERBOSE_OUTPUT
#ifdef  IRAD_VERBOSE_OUTPUT

#define PRINT(x)  std::cout << x << std::endl
#define PRINTNL(x)  std::cout << x << std::flush
#define EVAL(x) x

#else

#define PRINT(x)
#define PRINTNL(x)
#define EVAL(x)


#endif


#endif  // __itkekMacro_h
